# API Reference

## General

```@autodocs
Modules = [ArchGDAL]
Pages   = ["ArchGDAL.jl", "display.jl", "iterators.jl", "types.jl", "utils.jl"]
```

## [GDAL Constants](@id API-GDAL-Constants)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["constants.jl"]
```

## [GDAL Datasets](@id API-GDAL-Datasets)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["dataset.jl"]
```

## [Feature Data](@id API-Feature-Data)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["feature.jl", "featuredefn.jl", "featurelayer.jl", "fielddefn.jl", "geometry.jl", "styletable.jl", "context.jl"]
```
## [Tables Interface](@id API-Tables-Interface)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["tables.jl"]
```

## [Raster Data](@id API-Raster-Data)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["array.jl", "colortable.jl", "rasterattributetable.jl", "rasterband.jl", "rasterio.jl"]
```

## [Spatial Projections](@id API-Spatial-Projections)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["spatialref.jl"]
```

## [Geo Transformations](@id API-GeoTransforms)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["geotransform.jl"]
```

## [Utilities](@id API-Utilities)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["utilities.jl"]
```

## [Format Drivers](@id API-Format-Drivers)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["driver.jl"]
```

## [GeoInterface](@id API-GeoInterface)

```@autodocs
Modules = [ArchGDAL]
Pages   = ["geointerface.jl"]
```
